// TOP MODULE
module fifotest(
// INPUTS
input				  	reset_n,	// Active low reset
input [`FIFO_WIDTH-1:0]	data_in, 	// Data input to FIFO
input					read_n,	 	// Read FIFO (active low)
input					write_n,  	// Write FIFO (active low)

// OUTPUTS
output [`FIFO_WIDTH-1:0]	data_out,	// FIFO data output
output						full,		// FIFO is full
output						empty,		// FIFO is empty
output						half,		// FIFO is half full
										// or more
output [`FIFO_BITS-1:0] counter,
output underflow, overflow
);

afifo u(
// INPUTS
.reset_n(reset_n),	// Active low reset
.data_in(data_in), 	// Data input to FIFO
.read_n(read_n),	 	// Read FIFO (active low)
.write_n(write_n),  	// Write FIFO (active low)

// OUTPUTS
.data_out(data_out),	// FIFO data output
.full(full),		// FIFO is full
.empty(empty),		// FIFO is empty
.half(half),         // FIFO is half full or more
.count(counter),
.underflow(underflow),
.overflow(overflow)
);

endmodule